Bug 459320 - Rhythmbox hangs if played CD ejected
Rhythmbox hangs if played CD ejected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 08:12 EDT by James
Modified: 2009-03-24 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 12:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2008-08-16 08:12:10 EDT
Description of problem:
Rhythmbox hangs if a CD currently being played is ejected under its nose.

Version-Release number of selected component (if applicable):
rhythmbox-0.11.6-2.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Insert CD. Either kill gvfsd-cdda, or wait for the two to stop fighting.
2. Begin playback.
3. Eject CD either through drive button, or nautilus.
  
Actual results:
Rhythmbox hangs.

Expected results:
Playback stops, returns to media library (as if its own eject button on the toolbar were pressed).
Comment 1 James 2008-11-28 16:12:53 EST
The system is better-behaved in F10 with rhythmbox-0.11.6-15.6005.fc10.i386 and gvfs-1.0.2-3.fc10.i386 (as opposed to gvfs-0.2.5-1.fc9.x86_64). Any chance of a backport?
Comment 2 James 2008-11-28 16:16:45 EST
Sorry, please ignore comment #1 above, I got this bug mixed up with another. However, this issue is fixed in rhythmbox-0.11.6-15.6005.fc10.i386 in F10; can the fix be backported?
Comment 3 Bastien Nocera 2009-03-24 12:38:09 EDT
This was likely a problem with the GStreamer cdparanoia plugin and the underlying cdparanoia library. I'm sorry, but the changes between the versions are too large to be able to backport the fixes.

Note You need to log in before you can comment on or make changes to this bug.